<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_97ea09a7fa" . "f27c52c6eff" . "69773df1d8a" => base64_decode("dGl" . "tZX" . "N0Y" . "W1w"), "_d706c160e45bf7" . "434fff82a5976f0" . "e19" => base64_decode("YXJyYXlfa2" . "V5cw=="), "_956cd32" . "298a229f" . "9768f109" . "6f077ace" . "3" => base64_decode("Ym9k" . "eS1w" . "bGFp" . "bg=="), "_9c050c786fc87170cbb84fc6a8" . "b13cb6" => base64_decode("YXR0YWNobWVudC0" . "="), "_a1e707d02a236dadebd15a45" . "e65ebdb6" => base64_decode("YXR0YWNo" . "bWVudC1j" . "b3VudA=="), "_6e1c717cf3cbf1af982ed" . "74d4336b7f1" => base64_decode("Ym9keS1odG1" . "s"), "_8c575917cbae" . "df1e7efae8493" . "9402bff" => base64_decode("U3Via" . "mVjdA" . "=="), "_f39f5346e313e4dd1ac3a7bd8032bed" . "a" => base64_decode("c3Vic3RyX2NvbXBhcm" . "U="), "_44e986c04f41a08b56a383c7b3a" . "88ee2" => base64_decode("c2Vu" . "ZGVy"), "_1d6c68a0262e" . "8fa0bed1215b7" . "224a98e" => base64_decode("cmV" . "jaX" . "BpZ" . "W50"), "_618a4aeb9fecc" . "4592a4521f3487" . "6fa29" => base64_decode("ZnJv" . "bQ=="), "_f589476007fa133f457c3ef2" . "9ddfa566" => base64_decode("V" . "G" . "8" . "="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d706c160e45b" . "f7434fff82a59" . "76f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a1e707d0" . "2a236dade" . "bd15a45e6" . "5ebdb6"] && $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_f39f5346e313e4dd1ac3a7bd8032b" . "eda"]($key, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_9c050c786fc87170cbb84fc6a8b1" . "3cb6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_1d6c68a0262e8fa0bed1215b7" . "224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_618a4aeb9fecc4592a4521f34876f" . "a29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_f589476007fa133f457c3ef29d" . "dfa566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8c575917cbaedf1e7efae8493" . "9402bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_6e1c717cf3cbf1af" . "982ed74d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_956cd3229" . "8a229f9768" . "f1096f077a" . "ce3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_97ea09a" . "7faf27c5" . "2c6eff69" . "773df1d8" . "a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_44e986c04f41a08b56a383c7b3" . "a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}